## tracker-dbus

tracker-dbus

## Synopsis

    #define             TRACKER_DBUS_ERROR_DOMAIN
    #define             TRACKER_DBUS_ERROR
    #define             TRACKER_TYPE_G_STRV_ARRAY
    #define             TRACKER_TYPE_EVENT_ARRAY
    #define             tracker_dbus_async_return_if_fail   (expr,context)
    #define             tracker_dbus_return_val_if_fail     (expr,val,error)
    enum                TrackerDBusEventsType;
    typedef             TrackerDBusRequestHandler;
    void                (*TrackerDBusRequestFunc)           (guint request_id,
                                                             gpointer user_data);
                        TrackerDBusData;
    GQuark              tracker_dbus_error_quark            (void);
    TrackerDBusData *   tracker_dbus_data_new               (const gpointer arg1,
                                                             const gpointer arg2);
    GValue *            tracker_dbus_gvalue_slice_new       (GType type);
    void                tracker_dbus_gvalue_slice_free      (GValue *value);
    gchar **            tracker_dbus_slist_to_strv          (GSList *list);
    gchar **            tracker_dbus_str_to_strv            (const gchar *str);
    gchar **            tracker_dbus_queue_str_to_strv      (GQueue *queue,
                                                             gint max);
    gchar **            tracker_dbus_queue_gfile_to_strv    (GQueue *queue,
                                                             gint max);
    void                tracker_dbus_results_ptr_array_free (GPtrArray **ptr_array);
    guint               tracker_dbus_get_next_request_id    (void);
    TrackerDBusRequestHandler * tracker_dbus_request_add_hook
                                                            (TrackerDBusRequestFunc new,
                                                             TrackerDBusRequestFunc done,
                                                             gpointer user_data);
    void                tracker_dbus_request_remove_hook    (TrackerDBusRequestHandler *handler);
    void                tracker_dbus_request_new            (gint request_id,
                                                             const gchar *format,
                                                             ...);
    void                tracker_dbus_request_success        (gint request_id);
    void                tracker_dbus_request_failed         (gint request_id,
                                                             GError **error,
                                                             const gchar *format,
                                                             ...);
    void                tracker_dbus_request_comment        (gint request_id,
                                                             const gchar *format,
                                                             ...);
    void                tracker_dbus_request_debug          (gint request_id,
                                                             const gchar *format,
                                                             ...);
    void                tracker_dbus_request_block_hooks    (void);
    void                tracker_dbus_request_unblock_hooks  (void);

## Description

## Details

### TRACKER_DBUS_ERROR_DOMAIN

    #define TRACKER_DBUS_ERROR_DOMAIN "TrackerDBus"

### TRACKER_DBUS_ERROR

    #define TRACKER_DBUS_ERROR	  tracker_dbus_error_quark()

### TRACKER_TYPE_G_STRV_ARRAY

    #define             TRACKER_TYPE_G_STRV_ARRAY

### TRACKER_TYPE_EVENT_ARRAY

    #define             TRACKER_TYPE_EVENT_ARRAY

### tracker_dbus_async_return_if_fail()

    #define             tracker_dbus_async_return_if_fail(expr,context)

`expr` : |
`context` : |

### tracker_dbus_return_val_if_fail()

    #define             tracker_dbus_return_val_if_fail(expr,val,error)

`expr` : |
`val` : |
`error` : |

### enum TrackerDBusEventsType

    typedef enum {
    	TRACKER_DBUS_EVENTS_TYPE_ADD,
    	TRACKER_DBUS_EVENTS_TYPE_UPDATE,
    	TRACKER_DBUS_EVENTS_TYPE_DELETE
    } TrackerDBusEventsType;

### TrackerDBusRequestHandler

    typedef struct TrackerDBusRequestHandler TrackerDBusRequestHandler;

### TrackerDBusRequestFunc ()

    void                (*TrackerDBusRequestFunc)           (guint request_id,
                                                             gpointer user_data);

`request_id` : |
`user_data` : |

### TrackerDBusData

    typedef struct {
    	guint	 id;
    	gpointer data1;
    	gpointer data2;
    } TrackerDBusData;

### tracker_dbus_error_quark ()

    GQuark              tracker_dbus_error_quark            (void);

Returns : |

### tracker_dbus_data_new ()

    TrackerDBusData *   tracker_dbus_data_new               (const gpointer arg1,
                                                             const gpointer arg2);

`arg1` : |
`arg2` : |
Returns : |

### tracker_dbus_gvalue_slice_new ()

    GValue *            tracker_dbus_gvalue_slice_new       (GType type);

`type` : |
Returns : |

### tracker_dbus_gvalue_slice_free ()

    void                tracker_dbus_gvalue_slice_free      (GValue *value);

`value` : |

### tracker_dbus_slist_to_strv ()

    gchar **            tracker_dbus_slist_to_strv          (GSList *list);

`list` : |
Returns : |

### tracker_dbus_str_to_strv ()

    gchar **            tracker_dbus_str_to_strv            (const gchar *str);

`str` : |
Returns : |

### tracker_dbus_queue_str_to_strv ()

    gchar **            tracker_dbus_queue_str_to_strv      (GQueue *queue,
                                                             gint max);

`queue` : |
`max` : |
Returns : |

### tracker_dbus_queue_gfile_to_strv ()

    gchar **            tracker_dbus_queue_gfile_to_strv    (GQueue *queue,
                                                             gint max);

`queue` : |
`max` : |
Returns : |

### tracker_dbus_results_ptr_array_free ()

    void                tracker_dbus_results_ptr_array_free (GPtrArray **ptr_array);

`ptr_array` : |

### tracker_dbus_get_next_request_id ()

    guint               tracker_dbus_get_next_request_id    (void);

Returns : |

### tracker_dbus_request_add_hook ()

    TrackerDBusRequestHandler * tracker_dbus_request_add_hook
                                                            (TrackerDBusRequestFunc new,
                                                             TrackerDBusRequestFunc done,
                                                             gpointer user_data);

`new` : |
`done` : |
`user_data` : |
Returns : |

### tracker_dbus_request_remove_hook ()

    void                tracker_dbus_request_remove_hook    (TrackerDBusRequestHandler *handler);

`handler` : |

### tracker_dbus_request_new ()

    void                tracker_dbus_request_new            (gint request_id,
                                                             const gchar *format,
                                                             ...);

`request_id` : |
`format` : |
`...` : |

### tracker_dbus_request_success ()

    void                tracker_dbus_request_success        (gint request_id);

`request_id` : |

### tracker_dbus_request_failed ()

    void                tracker_dbus_request_failed         (gint request_id,
                                                             GError **error,
                                                             const gchar *format,
                                                             ...);

`request_id` : |
`error` : |
`format` : |
`...` : |

### tracker_dbus_request_comment ()

    void                tracker_dbus_request_comment        (gint request_id,
                                                             const gchar *format,
                                                             ...);

`request_id` : |
`format` : |
`...` : |

### tracker_dbus_request_debug ()

    void                tracker_dbus_request_debug          (gint request_id,
                                                             const gchar *format,
                                                             ...);

`request_id` : |
`format` : |
`...` : |

### tracker_dbus_request_block_hooks ()

    void                tracker_dbus_request_block_hooks    (void);

### tracker_dbus_request_unblock_hooks ()

    void                tracker_dbus_request_unblock_hooks  (void);